using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HighWayIot.Repository.domain
{
    /// <summary>
    /// 报表导出实体类
    /// </summary>
    public class ExportTableEntity
    {
        /// <summary>
        /// 成品代号
        /// </summary>
        [Description("成品代号")]
        public string RecipeCode { get; set; } = string.Empty;

        /// <summary>
        /// 标称尺度
        /// </summary>
        [Description("标称尺度")]
        public string RecipeName { get; set; } = string.Empty;

        /// <summary>
        /// SPEC编号
        /// </summary>
        [Description("SPEC编号")]
        public string SpecCode { get; set; } = string.Empty;

        /// <summary>
        /// SPEC规格  
        /// </summary>
        [Description("SPEC规格")]
        public string SpecName { get; set; } = string.Empty;

        /// <summary>
        /// 开始时间
        /// </summary>
        [Description("开始时间")]
        public string StartTime { get; set; } = string.Empty;

        /// <summary>
        /// 基部胶胶号
        /// </summary>
        [Description("基部胶胶号")]
        public string BaseRubName { get; set; } = string.Empty;

        /// <summary>
        /// 基部胶厚度
        /// </summary
        [Description("基部胶厚度")]
        public string BaseRubThickness { get; set; } = string.Empty;

        /// <summary>
        /// 基部胶宽度
        /// </summary
        [Description("基部胶宽度")]
        public string BaseRubWidth { get; set; } = string.Empty;

        /// <summary>
        /// 基部胶层数
        /// </summary>
        [Description("基部胶层数")]
        public string BaseRubLayer { get; set; } = string.Empty;

        /// <summary>
        /// 基部胶完成时间
        /// </summary>
        [Description("基部胶完成时间")]
        public string BaseRubFinishTime { get; set; } = string.Empty;

        /// <summary>
        /// 中层胶胶号
        /// </summary>
        [Description("中层胶胶号")]
        public string MidRubName { get; set; } = string.Empty;

        /// <summary>
        /// 中层胶厚度
        /// </summary>
        [Description("中层胶厚度")]
        public string MidRubThickness { get; set; } = string.Empty;

        /// <summary>
        /// 中层胶宽度
        /// </summary>
        [Description("中层胶宽度")]
        public string MidRubWidth { get; set; } = string.Empty;

        /// <summary>
        /// 中层胶层数
        /// </summary>
        [Description("中层胶层数")]
        public string MidRubLayer { get; set; } = string.Empty;

        /// <summary>
        /// 中层胶完成时间
        /// </summary>
        [Description("中层胶完成时间")]
        public string MidRubFinishTime { get; set; } = string.Empty;

        /// <summary>
        /// 胎面胶胶号
        /// </summary>
        [Description("胎面胶胶号")]
        public string FaceRubName { get; set; } = string.Empty;

        /// <summary>
        /// 胎面胶厚度
        /// </summary>
        [Description("胎面胶厚度")]
        public string FaceRubThickness { get; set; } = string.Empty;

        /// <summary>
        /// 胎面胶厚度
        /// </summary>
        [Description("胎面胶层数")]
        public string FaceRubLayer { get; set; } = string.Empty;

        /// <summary>
        /// 胎面胶宽度
        /// </summary
        [Description("胎面胶宽度")]
        public string FaceRubWidth { get; set; } = string.Empty;

        /// <summary>
        /// 生胎完成时间
        /// </summary>
        [Description("生胎完成时间")]
        public string FaceRubFinishTime { get; set; } = string.Empty;

        /// <summary>
        /// 生胎宽度（胎面胶宽度 +（厚度*2）） 无中层胶就等于胎面胶宽度
        /// </summary>
        [Description("生胎宽度")]
        public string RawTireWidth { get; set; } = string.Empty;

        /// <summary>
        /// 标准重量
        /// </summary>
        [Description("标准重量")]
        public string StandardWeight { get; set; } = string.Empty;

        /// <summary>
        /// 生胎重量
        /// </summary>
        [Description("生胎重量")]
        public string RawTireWeight { get; set; } = string.Empty;

        /// <summary>
        /// 复重重量
        /// </summary>
        [Description("复重重量")]
        public string RepeatWeight { get; set; } = string.Empty;

        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        public string IsDone { get; set; } = string.Empty;
    }
}
